libvisio::VSDXTheme Class Reference documentation

libvisio::VSDXTheme Class Reference

`#include <VSDXTheme.h>`

## Public Member Functions
| VSDXTheme ()
| ~VSDXTheme ()
bool | parse (librevenge::RVNGInputStream *input)
std::optional< Colour > | getThemeColour (unsigned value, unsigned variationIndex=0) const
std::optional< Colour > | getStyleColour (unsigned value, unsigned variationIndex=0) const
std::optional< Colour > | getFillStyleColour (unsigned value) const
size_t | getFillStyleLstSize () const

## Private Member Functions
| VSDXTheme (const VSDXTheme &)
VSDXTheme & | operator= (const VSDXTheme &)
std::optional< Colour > | readSrgbClr (xmlTextReaderPtr reader)
std::optional< Colour > | readSysClr (xmlTextReaderPtr reader)
std::optional< Colour > | readSchemeClr (xmlTextReaderPtr reader)
void | readClrScheme (xmlTextReaderPtr reader)
bool | readThemeColour (xmlTextReaderPtr reader, int idToken, Colour &clr)
void | readVariationClrSchemeLst (xmlTextReaderPtr reader)
void | readVariationClrScheme (xmlTextReaderPtr reader, VSDXVariationClrScheme &varClrSch)
void | readVariationStyleSchemeLst (xmlTextReaderPtr reader)
void | readVariationStyleScheme (xmlTextReaderPtr reader, int idToken, VSDXVariationStyleScheme &vaStyleSch)
void | readVarIdx (xmlTextReaderPtr reader, std::array< unsigned, 4 > &varStyle)
void | readFontScheme (xmlTextReaderPtr reader)
void | readFont (xmlTextReaderPtr reader, int idToken, VSDXFont &font)
bool | readTypeFace (xmlTextReaderPtr reader, librevenge::RVNGString &typeFace)
bool | readTypeFace (xmlTextReaderPtr reader, int &script, librevenge::RVNGString &typeFace)
void | readFmtScheme (xmlTextReaderPtr reader)
void | readFillStyleLst (xmlTextReaderPtr reader)
void | readGradFill (xmlTextReaderPtr reader, std::size_t nPos)
void | readGradFillLst (xmlTextReaderPtr reader, std::size_t nPos)
int | getElementToken (xmlTextReaderPtr reader)
void | skipUnimplemented (xmlTextReaderPtr reader, int idToken)

## Private Attributes
VSDXClrScheme | m_clrScheme
VSDXFontScheme | m_fontScheme
std::array< std::vector< std::optional< Colour > >, 6 > | m_fillStyleLst
std::vector< VSDXVariationStyleScheme > | m_variationStyleSchemeLst

## Constructor & Destructor Documentation

## ◆ VSDXTheme() [1/2]

libvisio::VSDXTheme::VSDXTheme | ( |  | ) |

Referenced by operator=(), and VSDXTheme().

## ◆ ~VSDXTheme()

libvisio::VSDXTheme::~VSDXTheme | ( |  | ) |

## ◆ VSDXTheme() [2/2]

libvisio::VSDXTheme::VSDXTheme | ( | const VSDXTheme & |  | ) |
| private

## Member Function Documentation

## ◆ getElementToken()

int libvisio::VSDXTheme::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse(), readClrScheme(), readFillStyleLst(), readFmtScheme(), readFont(), readFontScheme(), readGradFill(), readGradFillLst(), readSchemeClr(), readSrgbClr(), readSysClr(), readThemeColour(), readVariationClrScheme(), readVariationClrSchemeLst(), readVariationStyleScheme(), readVariationStyleSchemeLst(), readVarIdx(), and skipUnimplemented().

## ◆ getFillStyleColour()

std::optional< libvisio::Colour > libvisio::VSDXTheme::getFillStyleColour | ( | unsigned | value | ) | const

Referenced by getStyleColour().

## ◆ getFillStyleLstSize()

size_t libvisio::VSDXTheme::getFillStyleLstSize | ( |  | ) | const
| inline

## ◆ getStyleColour()

std::optional< libvisio::Colour > libvisio::VSDXTheme::getStyleColour | ( | unsigned | value,
|  | unsigned | variationIndex = 0 ) const

## ◆ getThemeColour()

std::optional< libvisio::Colour > libvisio::VSDXTheme::getThemeColour | ( | unsigned | value,
|  | unsigned | variationIndex = 0 ) const

## ◆ operator=()

VSDXTheme & libvisio::VSDXTheme::operator= | ( | const VSDXTheme & |  | ) |
| private

## ◆ parse()

bool libvisio::VSDXTheme::parse | ( | librevenge::RVNGInputStream * | input | ) |

## ◆ readClrScheme()

void libvisio::VSDXTheme::readClrScheme | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## ◆ readFillStyleLst()

void libvisio::VSDXTheme::readFillStyleLst | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readFmtScheme().

## ◆ readFmtScheme()

void libvisio::VSDXTheme::readFmtScheme | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## ◆ readFont()

void libvisio::VSDXTheme::readFont | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | VSDXFont & | font )
| private

Referenced by readFontScheme().

## ◆ readFontScheme()

void libvisio::VSDXTheme::readFontScheme | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## ◆ readGradFill()

void libvisio::VSDXTheme::readGradFill | ( | xmlTextReaderPtr | reader,
|  | std::size_t | nPos )
| private

Referenced by readFillStyleLst().

## ◆ readGradFillLst()

void libvisio::VSDXTheme::readGradFillLst | ( | xmlTextReaderPtr | reader,
|  | std::size_t | nPos )
| private

Referenced by readGradFill().

## ◆ readSchemeClr()

std::optional< libvisio::Colour > libvisio::VSDXTheme::readSchemeClr | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readThemeColour().

## ◆ readSrgbClr()

std::optional< libvisio::Colour > libvisio::VSDXTheme::readSrgbClr | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readThemeColour().

## ◆ readSysClr()

std::optional< libvisio::Colour > libvisio::VSDXTheme::readSysClr | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readThemeColour().

## ◆ readThemeColour()

bool libvisio::VSDXTheme::readThemeColour | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | Colour & | clr )
| private

Referenced by readClrScheme(), readFillStyleLst(), readGradFillLst(), and readVariationClrScheme().

## ◆ readTypeFace() [1/2]

bool libvisio::VSDXTheme::readTypeFace | ( | xmlTextReaderPtr | reader,
|  | int & | script,
|  | librevenge::RVNGString & | typeFace )
| private

## ◆ readTypeFace() [2/2]

bool libvisio::VSDXTheme::readTypeFace | ( | xmlTextReaderPtr | reader,
|  | librevenge::RVNGString & | typeFace )
| private

Referenced by readFont(), and readTypeFace().

## ◆ readVariationClrScheme()

void libvisio::VSDXTheme::readVariationClrScheme | ( | xmlTextReaderPtr | reader,
|  | VSDXVariationClrScheme & | varClrSch )
| private

Referenced by readVariationClrSchemeLst().

## ◆ readVariationClrSchemeLst()

void libvisio::VSDXTheme::readVariationClrSchemeLst | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readClrScheme().

## ◆ readVariationStyleScheme()

void libvisio::VSDXTheme::readVariationStyleScheme | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | VSDXVariationStyleScheme & | vaStyleSch )
| private

Referenced by readVariationStyleSchemeLst().

## ◆ readVariationStyleSchemeLst()

void libvisio::VSDXTheme::readVariationStyleSchemeLst | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## ◆ readVarIdx()

void libvisio::VSDXTheme::readVarIdx | ( | xmlTextReaderPtr | reader,
|  | std::array< unsigned, 4 > & | varStyle )
| private

Referenced by readVariationStyleScheme().

## ◆ skipUnimplemented()

void libvisio::VSDXTheme::skipUnimplemented | ( | xmlTextReaderPtr | reader,
|  | int | idToken )
| private

Referenced by readFillStyleLst().

## Member Data Documentation

## ◆ m_clrScheme

VSDXClrScheme libvisio::VSDXTheme::m_clrScheme
| private

Referenced by getThemeColour(), readClrScheme(), readSchemeClr(), readVariationClrSchemeLst(), and VSDXTheme().

## ◆ m_fillStyleLst

std::array<std::vector<std::optional<Colour> >, 6> libvisio::VSDXTheme::m_fillStyleLst
| private

Referenced by getFillStyleColour(), getFillStyleLstSize(), readFillStyleLst(), readGradFillLst(), and VSDXTheme().

## ◆ m_fontScheme

VSDXFontScheme libvisio::VSDXTheme::m_fontScheme
| private

Referenced by readFontScheme(), and VSDXTheme().

## ◆ m_variationStyleSchemeLst

std::vector<VSDXVariationStyleScheme> libvisio::VSDXTheme::m_variationStyleSchemeLst
| private

Referenced by getStyleColour(), readVariationStyleSchemeLst(), and VSDXTheme().

The documentation for this class was generated from the following files:

- VSDXTheme.h
- VSDXTheme.cpp